Subject: RE: [Sigtran] Need ANSWER 4 these QUERIES !!

From: "Holland, Peter Michael (Peter)" <[email-masked]>
Date: Thu, 16 Nov 2006 13:22:05 -0000

Brian,

> > 
> >     1. In  M3UA  msg  the  version  parameter  can  have 
> value 0 or 1, Is
> >        version-1 has BACKWARD copatibility with vesion-0?
> 
> No.  RFC 4666 was not written with backward compatibility to 
> RFC 3332 in mind.
> RFC 4666 OBSOLETES RFC 3332.  Therefore a version parameter 
> with a value of 0
> is following an OBSOLETE PROPOSED STANDARD.  
> 

RFC 3332 and RFC 4666 both specify the Version parameter shall be set to 1.
So I assume that RFC 4446 should be backward compatible with RFC 3332.

Peter Holland

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 16 Nov 2006 06:34:27 -0700

Holland,,

Holland, Peter Michael (Peter) wrote:                             (Thu, 16 Nov 2006 13:22:05)
> So I assume that RFC 4446 should be backward compatible with RFC 3332.

Oh, I just assumed they were different.

Nevertheless, RFC 4666 OBSOLETES RFC 3332.  RFC 4666 is not backward
compatible to RFC 3332 in a good number of ways (including message format).

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/